#
# spec file for package gpaste
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Simone Tolotti, <simone.tolotti@gmail.com>.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gpaste
# Version 3.12 for GNOME 3.12 or above
Version:        3.14
Release:        6.2
Summary:        Clipboard management system for GNOME
License:        GPL-3.0+
Group:          System/GUI/GNOME
Url:            https://github.com/Keruspe/GPaste
Source0:        http://www.imagination-land.org/files/%{name}/%{name}-%{version}.tar.xz
# PATCH-FEATURE-OPENSUSE gpaste-support-gnome-shell-3_16.patch boo#980421 badshah400@gmail.com -- "Fake" compatibility with gnome-shell 3.16.x by patching the metadata file
Patch0:         gpaste-support-gnome-shell-3_16.patch
# For directory ownership
BuildRequires:  gnome-shell
BuildRequires:  gobject-introspection-devel >= 1.31.1
BuildRequires:  intltool >= 0.50.0
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(clutter-1.0)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(gdk-3.0) >= 3.0.0
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gio-2.0) >= 2.40.0
BuildRequires:  pkgconfig(glib-2.0) >= 2.40.0
BuildRequires:  pkgconfig(gnome-keybindings)
BuildRequires:  pkgconfig(gobject-2.0) >= 2.40.0
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(vapigen)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xtst)
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
GPaste is a clipboard management daemon with DBus interface.

%package -n libgpaste2
Summary:        Library for managing clipboard history
Group:          System/Libraries

%description -n libgpaste2
GPaste is a clipboard management daemon with DBus interface.

This package provides a library for managing clipboard history.

%package -n libgpaste-gnome-shell-client0
Summary:        Library for managing clipboard history
Group:          System/Libraries

%description -n libgpaste-gnome-shell-client0
GPaste is a clipboard management daemon with DBus interface.

This package provides a library for managing clipboard history.

%package -n typelib-1_0-GPaste-1_0
Summary:        Library for managing clipboard history -- Introspection bindings
Group:          System/Libraries

%description -n typelib-1_0-GPaste-1_0
GPaste is a clipboard management daemon with DBus interface.

This package provides the GObject Introspection bindings for the library
managing clipboard history.

%package devel
Summary:        Library for managing clipboard history -- Development Files
Group:          Development/Libraries/GNOME
Requires:       libgpaste2 = %{version}
Requires:       typelib-1_0-GPaste-1_0 = %{version}

%description devel
GPaste is a clipboard management daemon with DBus interface.

This package provides the development files for the library managing
clipboard history.

%package -n gnome-shell-extension-gpaste
Summary:        GNOME Shell Extension -- GPaste Status Menu
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}
Requires:       gnome-shell
Supplements:    packageand(%{name}:gnome-shell)
BuildArch:      noarch

%description -n gnome-shell-extension-gpaste
GPaste is a clipboard management daemon with DBus interface.

This GNOME Shell extension adds a clipboard item in the status
menu, and provides the ability to copy/paste text.

%lang_package
%prep
%setup -q
%patch0 -p1

%build
%configure --enable-vala
make %{?_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print
# Install bash/zsh completion support
install -D -m 0644 data/completions/gpaste %{buildroot}%{_sysconfdir}/bash_completion.d/gpaste
install -D -m 0644 data/completions/_gpaste %{buildroot}%{_datadir}/zsh/site-functions/_gpaste
desktop-file-edit --set-icon=edit-paste --remove-key Categories --add-category=Applet --add-only-show-in=GNOME %{buildroot}%{_datadir}/applications/org.gnome.GPaste.Settings.desktop
%find_lang GPaste %{?no_lang_C}

%post
%glib2_gsettings_schema_post
%desktop_database_post

%postun
%glib2_gsettings_schema_postun
%desktop_database_postun

%post -n libgpaste2 -p /sbin/ldconfig

%postun -n libgpaste2 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README.md
%{_bindir}/gpaste
%{_libexecdir}/gpaste/
%{_datadir}/applications/org.gnome.GPaste.Settings.desktop
%{_datadir}/dbus-1/services/org.gnome.GPaste.service
%{_datadir}/dbus-1/services/org.gnome.GPaste.Settings.service
%{_datadir}/appdata/org.gnome.GPaste.Settings.appdata.xml
%{_datadir}/glib-2.0/schemas/org.gnome.GPaste.gschema.xml
%{_datadir}/zsh/site-functions/_gpaste
%{_mandir}/man1/gpaste.1%{?ext_man}
%{_sysconfdir}/bash_completion.d/gpaste
# Bah, we need to own this...
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions

%files -n libgpaste2
%defattr(-,root,root)
%{_libdir}/libgpaste.so.*

%files -n typelib-1_0-GPaste-1_0
%defattr(-,root,root)
%{_libdir}/girepository-1.0/GPaste-1.0.typelib

%files devel
%defattr(-,root,root)
%{_includedir}/gpaste/
%{_libdir}/libgpaste*.so
%{_libdir}/pkgconfig/gpaste*.pc
%{_datadir}/gir-1.0/GPaste-1.0.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/gpaste-1.0.deps
%{_datadir}/vala/vapi/gpaste-1.0.vapi

%files -n gnome-shell-extension-%{name}
%defattr(-,root,root)
%{_datadir}/gnome-shell/extensions/GPaste@gnome-shell-extensions.gnome.org/
%{_datadir}/gnome-control-center/keybindings/42-gpaste.xml

%files lang -f GPaste.lang

%changelog
* Sun May 22 2016 badshah400@gmail.com
- Add gpaste-support-gnome-shell-3_16.patch: "Fake" compatibility
  with gnome-shell 3.16.x by patching the metadata file
  (boo#980421).
* Wed Feb 18 2015 develop7@develop7.info
- Move GPaste.Settings.service out of -devel, enabling regular
  users to run GPaste settings.
* Tue Dec 16 2014 zaitor@opensuse.org
- Add explicit pkgconfig(gnome-keybindings) BuildRequires:
  configure looks for it.
- Add pkgconfig(vapigen) BuildRequires and pass --enable-vala to
  configure: build vala bindings.
* Mon Nov 24 2014 dimstar@opensuse.org
- Update to version 3.14 (boo#905909):
  + Update for latest gobject-introspection.
  + Support gnome-shell 3.14.
  + Start redesign of the gnome-shell extension.
  + New gpaste show-history command.
- Changes from version 3.12.3.1:
  + A bug preventing the history to be saved to disk has been
    fixed.
  + Prevent a segfault when loading large histories.
  + Add a new gpaste oneline-history command.
- Changes from version 3.12.3:
  + gpaste-daemon now has an Update dbus signal more precise than
    Changed.
  + Desktop files fixes.
  + All calls to clipboard are now async.
  + Performance improvements.
  + gpaste-client has been updated to match gpaste-daemon changes
    with an update signal.
  + gnome-shell extension has been ported to the update signal.
  + applets have been ported to the update signal.
  + gnome-shell search bar now matches the user theme.
- Changes from version 3.12.2:
  + gpasted has been renamed gpaste-daemon.
  + Desktop files have been fixed.
  + Fixes for the ubuntu app-indicator.
  + Keybinding to mark an item as being a password.
  + All libgpaste-* have been merged into a single libgpaste.
  + Misc bugfixes reported for debian packaging.
- Changes from version 3.12.1:
  + Systemd support has been removed.
  + GPaste is now compliant with
    https://wiki.gnome.org/HowDoI/DBusApplicationLaunching
  + GPaste now has built-in support for managing passwords, blog
    post coming.
  + Completions and man pages have been updated.
  + Translations have been updated.
  + Miscellaneous bugfixes with static analysis.
  + The search feature of the gnome-shell extension has been
    improved.
- Rework subpackages, following upstream changes:
  + Drop libgpaste-core4, libgpaste-daemon1, libgpaste-keybinder3,
    libgpaste-applet1, libgpaste-settings1 and libgpaste-client3.
  + New subpackage libgpaste2.
- Drop gpaste-gnome-shell-version-3.12.2.patch: fixed upstream.
* Fri Jun  6 2014 gankov@opensuse.org
- Update to version 3.12:
  + Improved compatibility with GNOME 3.12
- Changes from version 3.10.1
  + gpasted no longer fails at runtime if gnome-shell's settings
    schema is not installed
  + growing lines are detected for lines getting expanded at their
    left too
  + gnome-shell extension has been rewritten
  + gnome-shell extension now has a search bar
  + translations update
  + misc bugfixes
- Changes from version 3.10
  + Follow GNOME versionning
  + Don't display error on daemon-reexec
  + Fix coredumps due to g_error
  + New library: libgpaste-applet
  + Unity support (for Ubuntu 14.04 and above) using
    libgpaste-applet
  + Port legacy applet to libgpaste-applet and rename to StatusIcon
  + Redesign GPaste StatusIcon to make it simpler and similar to
    gnome-shell extension
  + Vala is no longer required to build the applet (rewritten in C)
  + Lower automake dependency to 1.11
  + Be compatible with gnome-shell up to 3.12
  + libgpaste-settings: add reset
  + gpaste settings: add reset buttons
  + gpaste settings: add a switch to enable the gnome-shell
    extension
  + The gnome-shell gsettings schema is now required when
  - -enable-gnome-shell-extension is provided (default)
  + gpasted: GetElement now returns the display string
  + gpasted now forwards the full history via dbus, letting the
    client manage the display limit
  + gpasted gained GetHistoryLength, GetRawHistory, GetRawElement
    and About
  + gpasted gained a new Version property
  + Add about dialog to all components
  + Prefer dark theme
  + Display more info at the end of configure
  + Provide appdata files
  + Parallel build fixes
  + Fix build issues for Fedora, Ubuntu and Debian
  + clang related fixes
  + Fix warnings
  + Translations update
- Changes from version 3.8
  + Fix german translation
  + No longer depend on libxml
  + Update Portugueuse and French translations
  + New growing-lines feature
  + Misc bufixes
- Create new subpackage for the new libgpaste-applet1 library
- Replace subpackage to new version of libraries(libgpaste-client3,
  libgpaste-core4).
- Add gpaste-gnome-shell-version-3.12.2.patch
* Sat Dec  7 2013 gankov@opensuse.org
- Update to version 3.7:
  + "Paste and Pop" is now only "Pop"
  + Fix SEGV when deleting last item of history
  + New gnome-shell DBus client library
  + DBus client libraries are now async
  + Keybinder now uses gnome-shell if available to grab keys
  + Preparations for wayland port
  + Enhance internal memory management
  + Code cleanup
  + Misc bug fixes
  + German translation
- Changes from version 3.6:
  + GPaste settings look has been updated to better fit with recent
    GNOME
  + Performance improvements
  + Daemon now fully evenmential (no more polling, less power
    consuption)
  + GPasteClipboard now has a "owner-change" signal similar to
    GtkClipboard's one
  + Misc. bugfixes
  + New setting to set the maximum amount of memory used by data in
    history
  + FIFO mode has been dropped (lacking design)
  + Code cleanup and modernisation
  + g_paste_history_add is now transfer full
- Create new subpackage for the new libgpaste-gnome-shell-client0
  library.
- Replace subpackage to new version of libraries(libgpaste-client2,
  libgpaste-keybinder3, libgpaste-core3).
* Sun Oct 13 2013 gankov@opensuse.org
- Update to version 3.5:
  + Compatibility with gnome-shell 3.9.90 and above
  + The gnome-shell applet has totally been rewritten and is now
    more intuitive.
  + Port to newer glib
  + Don't use deprecated stuff from gtk+
  + The X11 keybinder is now optional
  + New keybinding to sync the clipboard to the primary selection
  + New keybinding to sync the primary selection to the clipboard
- Remove gpaste-gnome-3.9.patch
* Thu Jul 25 2013 gankov@opensuse.org
- Update to version 3.0.2:
  + Fix build without gnome-control-center installed
  + Fix focus when using <Ctrl><Alt><H< in gnome-shel extension
- Changes from version 3.0.1:
  + Fix build.
- Changes from version 3.0:
  + Various build fixes.
  + Support of gnome-control-center for setting keybindings.
  + Compatibility with newer gnome-shell.
- Changes from version 2.99.2:
  + Fix a bug making gpaste settings ui a no-op.
  + Don't close legacy applet menu when deleting an item.
  + Fix vala bindings.
  + Updated translations,
- Changes from version 2.99.1:
  + Fix a few typos in the conditional code for applet and
    extension.
  + Fix make install when GPaste is not yet installed.
  + Clean desktop files.
- Changes from version 2.99:
  + Compatibility with recent development releases of gnome-shell.
  + "gpaste f" now defers the file reading to the GPaste daemon.
  + libgpaste-client does now fully cover the GPaste DBus API.
  + libgpaste-keybinder has been ported to use XInput2.
  + keybindings have been fixed.
  + The gnome-shell extension has been ported to use
    libgpaste-client.
  + A systemd user unit is now provided.
  + New library: libgpaste-settings-ui.
  + gpaste-settings has been ported to libgpaste-settings-ui.
  + The gnome-shell extension now has a pref.js module based on
    libgpaste-settings-ui.
  + An autostart desktop file is now provided with the legacy
    applet.
  + gobject-introspection and vala support are now optional.
  + Various code cleanup.
- Add gpaste-gnome-3.9.patch: Declare GNOME 3.9.x as compatible.
* Sun Dec  2 2012 dimstar@opensuse.org
- Update to version 2.9.1:
  + Fix memory leak when handling images.
  + Fix duplicated images in history.
  + Fix "changed" signal in GPasteSettings.
* Wed Oct 10 2012 dimstar@opensuse.org
- Update to version 2.9:
  + Now depends on intltool 0.50
  + Automake stack is even more modular
  + libgpaste has been split into sublibs: libgpaste-core,
    libgpaste-keybinder and libgpaste-settings
  + New libraries: libgpaste-client and libgpaste-daemon
  + gpaste CLI is rewritten in C
  + Keybindings have totally been reworked
  + Performance improvements
  + Various code cleanup
  + Images support can now be disabled
  + Paste and Pop keybinding may behave weirdly because of gtk+
- Drop libgpaste1 sub-package: this library name no longer exists.
- Create new subpackages for the new libs (libgpaste-core1,
  libgpaste-keybinder1, libgpaste-settings1, libgpaste-client0 and
  libgpaste-daemon1).
* Sun May  6 2012 dimstar@opensuse.org
- Update to version 2.8.1:
  + Fix crash in gpaste_daemon_tracking.
* Thu May  3 2012 badshah400@gmail.com
- Update to version 2.8:
  + Various cleanup and bugfixes.
  + The history file now has a version number.
  + CDATA can now be copied.
  + ToggleHistory is now ShowHistory.
  + The "keyboard-shortcut" preferences is now called
    "show-history".
  + New feature : Paste & Pop with a new keybinding (experimental).
  + FIFO mode.
  + Multi-history with "gpaste backup-history" and "gpaste
    switch-history".
  + New commands: "gpaste delete-history" and "gpaste
    list-histories".
  + gpaste-settings has been rewritten.
  + libgpaste improvements.
  + vapi is no longer shipped and is generated when building.
  + Now requires automake 1.12 and autoconf 2.69.
  + Updated translations.
- Rename libpaste0 subpackage to libgpaste1, following upstream
  soname change.
* Wed Apr 25 2012 vuntz@opensuse.org
- Update to version 2.5:
  + New library to externalize the core: libgpaste written in C
    with introspection and vapi
  + Port gpasted to libgpaste and rewrite it in C
  + Port gpaste-settings to libgpaste
  + Port gpaste-applet to libgpaste
  + Reexecute has now a signal: ReexecuteSelf
  + Small bug fixes
  + Various build system cleanup
- Cleanup for inclusion in Factory.
* Tue Feb 14 2012 simone.tolotti@gmail.com
- New package, imported from Fedora package (and update to 2.2.1).
